#include<bits/stdc++.h>
using namespace std;
int n; 
long long l, h[1005];
int main(){
    cin >> n >> l;
    for(int i = 1; i <= n; i++){
        cin >> h[i];
    }
    for(int i = 1; i <= n; i++){
        if(l > h[i]){
            cout << i << endl;
            break;
        }
        else if(i == n and l < h[i]){
            cout << -1 << endl;
            break;
        }
    }
    return 0;
}